Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.BOB
Class DoCMDS

    java.lang.Object
      net.i2p.BOB.DoCMDS

All Implemented Interfaces:
  Runnable

    public class DoCMDS

extends Object
implements Runnable

Simplistic command parser for BOB

Author:
  sponge

Field Summary
`static String` | `BEXT`
`static String` | `BMAJ`
`static String` | `BMIN`
`static String` | `BOBversion`
`static String` | `BREV`

Constructor Summary
`DoCMDS(AtomicBoolean LIVE, AtomicBoolean lock, Socket server, Properties props, NamedDB database, Log _log)`

Method Summary
`void` | `run()` The actual parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BMAJ

    public static final String BMAJ

See Also:
  Constant Field Values

### BMIN

    public static final String BMIN

See Also:
  Constant Field Values

### BREV

    public static final String BREV

See Also:
  Constant Field Values

### BEXT

    public static final String BEXT

See Also:
  Constant Field Values

### BOBversion

    public static final String BOBversion

See Also:
  Constant Field Values

Constructor Detail

### DoCMDS

    DoCMDS(AtomicBoolean LIVE,
           AtomicBoolean lock,
           Socket server,
           Properties props,
           NamedDB database,
           Log _log)

Parameters:
  `LIVE` -
  `server` -
  `props` -
  `database` -
  `_log` -

Method Detail

### run

    public void run()

  The actual parser. It probabbly needs a rewrite into functions, but I kind-of like inline code.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD